Apache JMeter

## org.apache.jmeter.protocol.http.util
Class Base64Encoder

    java.lang.Object
      org.apache.jmeter.protocol.http.util.Base64Encoder

    public final class Base64Encoder

extends Object

This class provides an implementation of Base64 encoding without relying on the the sun.* packages.

Version:
  $Revision: 937662 $

Method Summary
`static String` `encode(byte[] bs)`
`static String` `encode(String s)`
`static String` `encodeAtom(byte[] b, int strt, int left)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### encode

    public static final String encode(String s)

### encode

    public static final String encode(byte[] bs)

### encodeAtom

    public static final String encodeAtom(byte[] b,
                                          int strt,
                                          int left)

Apache JMeter

Copyright © 1998-2010 Apache Software Foundation. All Rights Reserved.